---
title: Restore a Story Version
description: This endpoint lets you restore a story to a specific version.
url: https://storyblok.com/docs/api/management/stories/restore-a-story-version
---

# Restore a Story Version

GET

```html
https://mapi.storyblok.com/v1/spaces/:space_id/stories/:story_id/restore_with
```

This endpoint lets you restore a story to a specific version.

## Path parameters

-   `:space_id` (required) (number)
    
    The space ID
    
-   `:story_id` (required) (number)
    
    The numeric ID of the story
    

## Query parameters

-   `versions_v2` (required) (boolean)
    
    When set to `true`, the version passed is treated as a new story version, while setting it to `false` treats it as a legacy version. (Read the note on the get story versions [endpoint](/docs/api/management/stories/get-story-versions-new) to learn how to differentiate between new and legacy versions.)
    
-   `version` (required) (string)
    
    The ID of the story version
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/stories/623949938/restore_with\
    ?version=55648825\
    &versions_v2=true" \
      -H "Authorization: YOUR_OAUTH_TOKEN"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.get('spaces/288868932106293/stories/623949938/restore_with', {
        "version": "55648825",
        "versions_v2": "true"
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $client->get('spaces/288868932106293/stories/623949938/restore_with', [
      "version" => "55648825",
      "versions_v2" => "true"
    ])->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.get("https://mapi.storyblok.com/v1/spaces/288868932106293/stories/623949938/restore_with?version=55648825&versions_v2=true")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/stories/623949938/restore_with?version=55648825&versions_v2=true");
    var request = new RestRequest(Method.GET);
    
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/stories/623949938/restore_with"
    
    querystring = {"version":"55648825","versions_v2":"true"}
    
    payload = ""
    headers = {
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    client.get('spaces/288868932106293/stories/623949938/restore_with', {:params => {
      "version" => "55648825",
      "versions_v2" => "true"
    }})
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/stories/623949938/restore_with")
    request.url!.append(queryItems: [
        URLQueryItem(name: "version", value: "55648825"),
        URLQueryItem(name: "versions_v2", value: "true")
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.get("spaces/288868932106293/stories/623949938/restore_with") {
        url {
            parameters.append("version", "55648825")
            parameters.append("versions_v2", "true")
        }
    }
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: Compare a Story Version](/docs/api/management/stories/compare-a-story-version)
-   [Next: Delete a Story](/docs/api/management/stories/delete-a-story)
